Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.author
Class ViewAuthors

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.author.ViewAuthors

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

Direct Known Subclasses:
  ViewAuthorFailuresChart

    public class ViewAuthors

extends BambooActionSupport

Field Summary
`static String` | `REPORT_NUM_BROKEN`
`static String` | `REPORT_NUM_BUILDS`
`static String` | `REPORT_NUM_FAILURES`
`static String` | `REPORT_NUM_FIXED`
`static String` | `REPORT_RATIO_SUCCESS`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewAuthors()`

Method Summary
`String` | `doGenerate()`
`String` | `doList()`
`String` | `doReport()`
`AuthorManager` | `getAuthorManager()`
`List` | `getAuthors()`
`Map` | `getAvailableGroupBy()`
`Map` | `getAvailableReports()`
`TimeTableXYDataset` | `getDataset()`
`ExtendedAuthorManager` | `getExtendedAuthorManager()`
`String` | `getGroupByPeriod()`
`String` | `getReportKey()`
`String` | `getResolvedAutoPeriod()`
`List` | `getSelectedAuthorNames()`
`void` | `setAuthorManager(AuthorManager authorManager)`
`void` | `setDataset(TimeTableXYDataset dataset)`
`void` | `setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)`
`void` | `setGroupByPeriod(String groupByPeriod)`
`void` | `setReportKey(String reportKey)`
`void` | `setResolvedAutoPeriod(String resolvedAutoPeriod)`
`void` | `setSelectedAuthorNames(List selectedAuthorNames)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### REPORT_NUM_FAILURES

    public static final String REPORT_NUM_FAILURES

See Also:
  Constant Field Values

### REPORT_RATIO_SUCCESS

    public static final String REPORT_RATIO_SUCCESS

See Also:
  Constant Field Values

### REPORT_NUM_BUILDS

    public static final String REPORT_NUM_BUILDS

See Also:
  Constant Field Values

### REPORT_NUM_BROKEN

    public static final String REPORT_NUM_BROKEN

See Also:
  Constant Field Values

### REPORT_NUM_FIXED

    public static final String REPORT_NUM_FIXED

See Also:
  Constant Field Values

Constructor Detail

### ViewAuthors

    public ViewAuthors()

Method Detail

### doReport

    public String doReport()

### doList

    public String doList()

### doGenerate

    public String doGenerate()

### getAuthors

    public List getAuthors()

### getAvailableReports

    public Map getAvailableReports()

### getAvailableGroupBy

    public Map getAvailableGroupBy()

### getDataset

    public TimeTableXYDataset getDataset()

### setDataset

    public void setDataset(TimeTableXYDataset dataset)

### getSelectedAuthorNames

    public List getSelectedAuthorNames()

### setSelectedAuthorNames

    public void setSelectedAuthorNames(List selectedAuthorNames)

### getGroupByPeriod

    public String getGroupByPeriod()

### setGroupByPeriod

    public void setGroupByPeriod(String groupByPeriod)

### getReportKey

    public String getReportKey()

### setReportKey

    public void setReportKey(String reportKey)

### getResolvedAutoPeriod

    public String getResolvedAutoPeriod()

### setResolvedAutoPeriod

    public void setResolvedAutoPeriod(String resolvedAutoPeriod)

### getAuthorManager

    public AuthorManager getAuthorManager()

### setAuthorManager

    public void setAuthorManager(AuthorManager authorManager)

### getExtendedAuthorManager

    public ExtendedAuthorManager getExtendedAuthorManager()

### setExtendedAuthorManager

    public void setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.